<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelFutureRates StructType
 * @subpackage Structs
 */
class HotelFutureRates extends AbstractStructBase
{
    /**
     * The HotelFutureRatesRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelFutureRates
     */
    public $HotelFutureRatesRQ;
    /**
     * Constructor method for HotelFutureRates
     * @uses HotelFutureRates::setHotelFutureRatesRQ()
     * @param \StructType\JP_HotelFutureRates $hotelFutureRatesRQ
     */
    public function __construct(\StructType\JP_HotelFutureRates $hotelFutureRatesRQ = null)
    {
        $this
            ->setHotelFutureRatesRQ($hotelFutureRatesRQ);
    }
    /**
     * Get HotelFutureRatesRQ value
     * @return \StructType\JP_HotelFutureRates|null
     */
    public function getHotelFutureRatesRQ()
    {
        return $this->HotelFutureRatesRQ;
    }
    /**
     * Set HotelFutureRatesRQ value
     * @param \StructType\JP_HotelFutureRates $hotelFutureRatesRQ
     * @return \StructType\HotelFutureRates
     */
    public function setHotelFutureRatesRQ(\StructType\JP_HotelFutureRates $hotelFutureRatesRQ = null)
    {
        $this->HotelFutureRatesRQ = $hotelFutureRatesRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelFutureRates
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
